package com.soss.system.utils;

import com.soss.common.utils.StringUtils;

import java.util.Arrays;
import java.util.List;

public class CollectionUtil {
    public static <T> void listAddArray(List<T> lst, T[] ts) {
        if (hasContents(ts)) {
            lst.addAll(Arrays.asList(ts));
        }
    }

    public static <T> boolean hasContents(T[] ts) {
        return ts != null && ts.length > 0;
    }

    public static String[] transStrToCodeList(String codeStr) {
        return StringUtils.isEmpty(codeStr) ? null : codeStr.split(",");
    }

    public static Long[] transStrToLongList(String idsStr) {
        if (StringUtils.isEmpty(idsStr)) {
            return null;
        }
        return Arrays.stream(idsStr.split(",")).map(Long::parseLong).toArray(Long[]::new);
    }
}
